Bug 238232 (perl-Catalyst-Manual) - Review Request: perl-Catalyst-Manual - Catalyst web framework manual
Summary: Review Request: perl-Catalyst-Manual - Catalyst web framework manual
Status: CLOSED NEXTRELEASE
Alias: perl-Catalyst-Manual
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Catalyst-Devel
TreeView+ depends on / blocked
 
Reported: 2007-04-28 03:05 UTC by Chris Weyl
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-06-05 15:53:22 UTC
panemade: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-28 03:05:55 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Manual-5.700701-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Manual.spec

Description:
This is the manual to the Catalyst web framework.

Comment 1 Ralf Corsepius 2007-04-30 08:40:17 UTC
Could you explain this?

# this is actually better done in perl-Catalyst-Runtime
%exclude %{_mandir}/man3/Catalyst::Manual.3*

It doesn't seem right to me to exclude the documentation of the primary
perl-module being within a package (Here: perl(Catalyst::Manual))


Comment 2 Chris Weyl 2007-04-30 15:28:43 UTC
Yes -- perl-Catalyst-Runtime actually includes a manpage for Catalyst::Manual,
one that is (oddly) more useful than the one included in this package.  Given
that we'd have a conflict, I chose the one that seemed more useful.

Looking back over the spec, because of this it'd probably make more sense to
also require perl(Catalyst).

Comment 3 Parag AN(पराग) 2007-06-05 11:04:56 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
70f872c92533a39ca6893871ec4d3223  Catalyst-Manual-5.700701.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=2, Tests=20,  1 wallclock secs ( 0.78 cusr +  0.03 csys =  0.81 CPU)
+ exit 0
+ Provides: perl(Catalyst::Manual) = 5.700701
+ Requires: perl(:MODULE_COMPAT_5.8.8)
APPROVED.


Comment 4 Chris Weyl 2007-06-05 14:56:22 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Manual
Short Description: Catalyst web framework manual
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Tom "spot" Callaway 2007-06-05 15:14:49 UTC
cvs done.

Comment 6 Chris Weyl 2007-06-05 15:52:50 UTC
Imported and building.

Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.